Skip to main content
PUT
Update category

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The ID of the store that the category belongs to

categoryId
string<uuid>
required

The ID of the category to update

Body

application/json

The category data to replace the existing category with

Form for creating or updating a category in a store

name
string
required

The name of the category

Required string length: 3 - 128
visibility
enum<integer>
required

List of product visibility (or privacy) levels

Available options:
0,
1,
2,
3
productIds
string<uuid>[]
required

The list of product IDs in this category. This replaces the existing product list.

slug
string | null

The slug of the category, if null then the ID is used

Required string length: 1 - 72

Response

The object was successfully updated.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
any | null

Represents the data associated with a response.

Last modified on November 26, 2025